API ReferenceChannel accounts
Cette page n'est disponible qu'en anglais.
Update a TikTok manufacturer
PUT /rest/v1/channel_accounts/{id}/manufacturers/{record_id}
Required scope: channels:write.
Authorization
apiKey AuthorizationBearer <token>
Authorization: Bearer nbl_live_... (or nbl_test_... for test mode). Test-mode writes are validated and simulated but never persisted and never touch channels; simulated results are marked simulated.
In: header
Path Parameters
id*string
record_id*string
Header Parameters
Idempotency-Key?string
Unique client-generated key (max 255 chars), stored 24h.
Length
length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/channel_accounts/string/manufacturers/string" \ -H "Content-Type: application/json" \ -d '{}'{ "object": "manufacturer", "status": "success"}Dernière mise à jour le 18 octobre 2026
Besoin d'aide ?
Écrivez-nous et une personne vous répond, généralement sous un jour ouvré.